#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = DataStructures

PROJECTVERSION = 2.8
PROJECT_TYPE = Component

CLASSES = OFBitField.m OFBulkBlockPool.m OFByteSet.m OFDataCursor.m\
          OFDatedMutableDictionary.m OFHeap.m\
          OFKnownKeyDictionaryTemplate.m OFMatrix.m\
          OFMultiValueDictionary.m OFMutableKnownKeyDictionary.m\
          OFNull.m OFOid.m OFQueue.m OFSignature.m OFSlotManager.m\
          OFSparseArray.m OFStack.m OFStaticArray.m\
          OFThreadSafeMatrix.m OFTrie.m OFTrieBucket.m\
          OFTrieEnumerator.m OFTrieNode.m

HFILES = OFBitField.h OFBulkBlockPool.h OFByteSet.h OFDataBuffer.h\
         OFDataCursor.h OFDatedMutableDictionary.h OFHeap.h\
         OFKnownKeyDictionaryTemplate.h OFMatrix.h\
         OFMultiValueDictionary.h OFMutableKnownKeyDictionary.h OFNull.h\
         OFOid.h OFQueue.h OFRandom.h OFSignature.h OFSlotManager.h\
         OFSparseArray.h OFStack.h OFStaticArray.h OFThreadSafeMatrix.h\
         OFTrie.h OFTrieBucket.h OFTrieEnumerator.h OFTrieNode.h

MFILES = OFRandom.m

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble


MAKEFILEDIR = $(NEXT_ROOT)/NextDeveloper/Makefiles/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = subproj.make
NEXTSTEP_INSTALLDIR = $(OMNI_FRAMEWORKS)
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


PUBLIC_HEADERS = OFBitField.h OFBulkBlockPool.h OFByteSet.h\
                 OFDataBuffer.h OFDataCursor.h OFHeap.h OFMatrix.h\
                 OFMultiValueDictionary.h OFNull.h OFOid.h OFQueue.h\
                 OFRandom.h OFSignature.h OFSlotManager.h\
                 OFSparseArray.h OFStack.h OFStaticArray.h\
                 OFThreadSafeMatrix.h OFTrie.h OFTrieBucket.h\
                 OFTrieNode.h OFDatedMutableDictionary.h\
                 OFKnownKeyDictionaryTemplate.h\
                 OFMutableKnownKeyDictionary.h



NEXTSTEP_BUILD_OUTPUT_DIR = $(OMNI_BUILDOUTPUT)/Frameworks/$(NAME)

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies
